ExportControllerPerformExport Method |
POST /Export/
Creates a new export based on the options given.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public IActionResult PerformExport(
[FromBodyAttribute] ExportRequestOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function PerformExport (
<FromBodyAttribute> options As ExportRequestOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ PerformExport(
[FromBodyAttribute] ExportRequestOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member PerformExport :
[<FromBodyAttribute>] options : ExportRequestOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsExportRequestOptions
The options to export with. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
Guid with the ID of the export, or a status code indicating the problem.
See Also